> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a partner by ID

> Update a partner by ID



## OpenAPI

````yaml /openapi.json put /partners/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /partners/{id}:
    put:
      tags:
        - Partners
      summary: Update a partner by ID
      description: Update a partner by ID
      operationId: updatePartner
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the partner to update
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePartner'
      responses:
        '200':
          description: The partner has been successfully updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Partner'
        '404':
          description: The partner could not be found.
components:
  schemas:
    UpdatePartner:
      type: object
      properties:
        name:
          type: string
          description: The name of the partner
        email:
          type: string
          description: The email of the partner
        firstName:
          type: string
          description: The first name of the partner
        middleName:
          type: string
          description: The middle name of the partner
        lastName:
          type: string
          description: The last name of the partner
        contactNumber:
          type: string
          description: The contact number of the partner
        streetAddressOne:
          type: string
          description: The address of the partner
        city:
          type: string
          description: The city of the partner
        stateOrRegion:
          type: string
          description: The state of the partner
    Partner:
      type: object
      properties:
        id:
          type: string
          description: The id of the partner
        partnerTag:
          description: The tag associated with the partner
          allOf:
            - $ref: '#/components/schemas/PartnerTag'
        name:
          type: string
          description: The name of the partner
        email:
          type: string
          description: The email of the partner
        firstName:
          type: string
          description: The first name of the partner
        middleName:
          type: string
          description: The middle name of the partner
        lastName:
          type: string
          description: The last name of the partner
        contactNumber:
          type: string
          description: The contact number of the partner
        streetAddressOne:
          type: string
          description: The address of the partner
        city:
          type: string
          description: The city of the partner
        stateOrRegion:
          type: string
          description: The state of the partner
      required:
        - id
        - name
    PartnerTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the partner tag
        code:
          type: string
          description: The code of the partner tag, a unique identifier
        name:
          type: string
          description: The name of the partner tag
        description:
          type: string
          description: The description of the partner tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the partner tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the partner tag was updated
        deleted:
          type: boolean
          description: Whether the partner tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the partner tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````